Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 606659 - Incorrect groupId in add_to_maven_depmap
Incorrect groupId in add_to_maven_depmap
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: objectweb-asm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Fernando Nasser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 03:48 EDT by Stanislav Ochotnicky
Modified: 2010-07-13 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 12:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-06-22 03:48:57 EDT
Excerpt from spec file:
%add_to_maven_depmap org.objectweb.asm asm %{version} JPP/objectweb-asm asm

groupId is specified as org.objectweb.asm, but upstream, installed pom files and just about everyone else uses just simple "asm". Incorrect depmap causes failures of maven builds depending on asm.

This is true for all current versions of objectweb-asm
Comment 1 Orion Poplawski 2010-07-13 12:21:59 EDT
Fixed in 3.2-2.fc14

Note You need to log in before you can comment on or make changes to this bug.